Subject: bug#48011: 27.2; Emacs freezes in modula 2 mode when entering a :

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 May 2021 09:02:42 -0400

> This is a forward of https://bugzilla.redhat.com/show_bug.cgi?id=1950158
> Emacs 27.2 freezes when editing a file that ends with .mod (i.e. it
> opens the file in Modula 2 mode) after one enters a ':'. The UI simply
> hangs until one interrupts it with C-g.

First, I was super happy to see a bug report about modula2.el's
indentation code (which I kind of presumed was never used).  But I'm
starting to think that the real problem here is that you actually didn't
open a Modula-2 file.

What kind of file was that `.mod` file?

        Stefan